import { useAutoFocus } from "@/app/hooks/FocusedElement";
import React from "react";
import { Container } from "react-bootstrap";

export type Props = {
    tags: string[]
}

export function JobTag(props: {text: string}) {
    const tagKey = 'tag ' + props.text;
    const elementRef = useAutoFocus(tagKey)
    return (
        <span ref={elementRef} className='badge text-bg-light'>{props.text}</span>
    )
}

export default function JobTags(props: Props) {
    return (
        <Container className='job-tags' fluid>
            {props.tags.map((tag, index) => <JobTag key={index} text={tag} />)}
        </Container>
    )
}